# Simple Chat Processor

A custom implementation and drop-in replacement of Simple Chat Processor (Redux) that fixes the
multiple recipient issue.  Is compatible with the existing
[Simple Chat Processor include][scp-incl] (with `OnChatMessage_Post` support).

The implementation takes advantage of Valve's built-in localizations; no custom translation
strings are used.  Due to the way `SayText2` works, player name and message colorization is
currently not doable.

[scp-incl]: https://bitbucket.org/minimoney1/simple-chat-processor/src/d68694fd8201e24cd6afeff23102d3591327b5f0/scripting/include/scp.inc

## A "CSRD Internal" Plugin

This is a plugin mainly intended for use in [Pikachu's Canadian Server of Romance and
Drama][csrd].

While I'm happy if you find some useful code for your own plugins, I can't provide any support
for said code, nor will I offer any guarantees that the plugin will remain usable outside of its
main use.

[csrd]: https://csrd.science/